For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Task Fields
      • POSTCreate Task Field
      • GETQuery Task Fields
      • DELDelete Task Field
      • GETQuery Task Field Values
      • GETRetrieve Task Field Value
      • PUTUpdate Task Field Value
      • GETRetrieve All Task Field Values
LogoLogo
SupportContact salesStart free trial
API ReferenceTask Field

Query Task Field Values

GET
https://api.projectmanager.com/api/data/tasks/fields/values
GET
/api/data/tasks/fields/values
$curl https://api.projectmanager.com/api/data/tasks/fields/values \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "shortId": "string",
17 "name": "string",
18 "type": "string",
19 "value": "string",
20 "createdDate": "2024-01-15T09:30:00Z",
21 "modifiedDate": "2024-01-15T09:30:00Z",
22 "task": {
23 "id": "string",
24 "shortId": "string",
25 "name": "string"
26 }
27 }
28 ]
29}
Retrieve a list of TaskFieldValues that match an [OData formatted query](https://www.odata.org/). A TaskField is a custom field defined within your Workspace for a specific Project. You can define TaskFields for any integration purpose that is important to your business. Each TaskField has a data type as well as options in how it is handled. TaskFields can be edited for each Task inside this Project.
Was this page helpful?
Previous

Retrieve Task Field Value

Next
Built with

Retrieve a list of TaskFieldValues that match an OData formatted query.

A TaskField is a custom field defined within your Workspace for a specific Project. You can define TaskFields for any integration purpose that is important to your business. Each TaskField has a data type as well as options in how it is handled. TaskFields can be edited for each Task inside this Project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

$topintegerOptional
The number of records to return
$skipintegerOptional

Skips the given number of records and then returns $top records

$filterstringOptional
Filter the expression according to oData queries
$orderbystringOptional
Order collection by this field.
$expandstringOptional
Include related data in the response

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.